Skip to content

Actualizar configuración de webhook​

PUT
/webhook/{webhookid}

Actualiza una configuración existente de webhook por su ID.

Authorizations​

bearerAuth

JWT token de autenticación. Utilice este esquema para autenticar solicitudes con un token JWT.

TypeHTTP (bearer)

Parameters​

Path Parameters

webhookid*

ID único del webhook a actualizar

Typestring
Required
Example550e8400-e29b-41d4-a716-446655440000
formatuuid

Request Body​

application/json
JSON
{
"tag": "payment_notifications_v2",
"url": "https://mi-api.com/webhooks/kuenta/v2",
"request_header": {
},
"request_body": "{"source":"kuenta","version":"2.0"}",
"auth_enabled": true,
"auth_url": "https://auth.mi-api.com/oauth/token",
"auth_method": "string",
"auth_request_body": "{"grant_type":"client_credentials"}",
"auth_header": "Bearer",
"token_type": "Bearer",
"token_source_key": "access_token",
"auth_request_header": {
},
"token_header": true
}

Responses​

Webhook actualizado exitosamente
application/json
JSON
{
"success": true,
"message": "Webhook updated successfully",
"data": {
"webhook": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"tag": "payment_notifications_v2",
"url": "https://mi-api.com/webhooks/kuenta/v2",
"auth_enabled": true,
"entity_id": "123e4567-e89b-12d3-a456-426614174000",
"updated_at": "2024-01-16T14:25:00Z"
}
}
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI